#include "mbed.h"

Serial pc(USBTX, USBRX);
Serial HC05(D9, D7);
DigitalOut KEY(D10);
InterruptIn button(SW2);
char str[50];
void mode()
{

    if (KEY == 1.0)
        KEY = 0;
    else
        KEY = 1.0;
    HC05.printf("AT+RESET\r\n");
}

int main()
{
    int i = 0;
    pc.baud(115200);
    HC05.baud(38400);
    pc.printf("Begin test\r\n");
    HC05.printf("AT\r\n");
    KEY = 1.0;
    button.rise(&mode);
    while (1)
    {
        if (pc.readable())
        {
            char c = pc.getc();
            if (c != '\r' && c != '\n')
            {
                pc.printf("%c", c);
                str[i++] = c;
            }
            else
            {
                pc.printf("(%d)\r\n", c);
                str[i] = 0;
                i = 0;
                HC05.printf("%s\r\n", str);
            }
        }
        while (HC05.readable())
        {
            char c = HC05.getc();
            pc.printf("%c", c);
        }
        wait(.001);
    }
}